Subject: Re: FQDN hostname
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Sun, 07 Sep 2003 19:33:44 -0700

Kilian CAVALOTTI wrote:
> 
> Hello,
> 
> I'd like to know why the cygwin hostname can't take any argument. I need to
> see if my FQDN win32 hostname is properlly configured, and all what I can
> see using 'hostname' is just the netbios name. Is it possible to see (and
> maybe set) the full hostname with cygwin ?
> 
> My main problem is my mailer (Outlook Express) just send the netbios name
> when it says HELO to the smtp mailserver, that adds a
> 'X-Reject: 450 <xxxx>: Helo command rejected: Host not found'
> header to all my outgoing mails.
> Is it possible to bypass this behaviour, and force OE to send its full
> qualified domain name, when it says HELO ? And I assume that cygwin and OE
> use the same kind of method to retrieve the hostname.

This really has nothing to do with Cygwin.  In windows there is a
"global" domain name and then a "connection-specific" domain name for
each connection, and these are all set in the "Network and Dial-Up
Connections" thing under TCP/IP properties.  The "global" domain name
you may have to set in the registry as it's probably not set by Windows
unless you're a member of a domain.  Also, the DHCP response (if
enabled) can also contain a domain suffix that windows will try to use. 
You can see all of this if you run "ipconfig /all".  

As far as OE goes, who knows what it uses in its HELO string, but I'd
imagine that if you have either a "primary DNS suffix" or a
"connection-specific DNS suffix" that it would use one of those.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/